<?php
function getSiteTree($taxonomy)
{
    $terms = get_terms( array(
        'taxonomy' => $taxonomy,
        'hide_empty' => false,
    ));

    // debug($terms);

    if ( !empty( $terms ) && ! is_wp_error( $terms ) ):
        echo '<ul>';

        $res = array();

        foreach ( $terms as $term ):
            $termID = $term->term_id;

            $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND ' . $taxonomy . '.term_id = ' . $termID;

            $params = array(
                'where' => $where,
                'limit'   => -1
            );

            $jobsIn = pods( 'job', $params );

            if ( 0 < $jobsIn->total() ):
                $page = get_term_meta( $termID, 'page-id', true);
                $order = intval(get_term_meta( $termID, 'order', true));

                if ( $page && $page['post_status'] === 'publish') :

                    array_push($res, array(
                        'name' => $page['post_title'],
                        'href' => get_page_link( $page['ID'] ),
                        'order' => $order,
                        'total' => $jobsIn->total()
                    ));

                endif;
            endif;
        endforeach;

        usort($res, function($a, $b) {
            $o = $b['order'] - $a['order'];
            if ($o):
                return $o;
            endif;
            $t = $b['total'] - $a['total'];
            if ($t):
                return $t;
            endif;

            return $a['name'] > $b['name'];
        });

        foreach ( $res as $r ):
?>
                    <li><a href="<?php echo $r['href']; ?>" title="<?php echo $r['name']; ?>"><?php echo $r['name'] . ' (' . $r['total'] . ')'; ?></a></li>
<?php
        endforeach;

        echo '</ul>';
     endif;
}
?>
<h3>Miestas</h3>
<div style="border: 1px solid #666; margin-right: 20px">
<?php
    getSiteTree( 'city' );
?>
</div>

<h3>Sritis</h3>
<div style="border: 1px solid #666; margin-right: 20px">
<?php
    getSiteTree( 'field' );
?>
</div>

<h3>Tipas</h3>
<div style="border: 1px solid #666; margin-right: 20px">
<?php
    getSiteTree( 'type' );
?>
</div>

<?php
/*
<h3>Tipas</h3>
<div style="border: 1px solid #666; margin-right: 20px; margin-bottom: 20px;">
    <ul>
        <li><a href="#" style="color: #900">Darbas užsienyje: Norvegijoje, Vokietijoje, UK ir kt.</a></li>
        <li><a href="#" style="color: #900">Darbas studentams</a></li>
        <li><a href="#" style="color: #900">Sezoninis darbas</a></li>
        <li><a href="#" style="color: #900">Darbas namuose</a></li>
        <li><a href="#" style="color: #900">Darbas vasarai</a></li>
        <li><a href="#" style="color: #900">Papildomas darbas</a></li>
    </ul>
</div>
*/
 ?>

<?php
/*

<h3>Tipas</h3>
<div style="border: 1px solid #666;">
<?php
    getSiteTree( 'type' );
?>
</div>

    getSiteTree( 'company' );
    */
?>
